// src/adapter/bun/conninfo.ts
var getConnInfo = (c) => {
  const server = "server" in c.env ? c.env.server : c.env;
  if (!server) {
    throw new TypeError("env has to include the 2nd argument of fetch.");
  }
  if (typeof server.requestIP !== "function") {
    throw new TypeError("server.requestIP is not a function.");
  }
  const info = server.requestIP(c.req.raw);
  return {
    remote: {
      address: info.address,
      addressType: info.family === "IPv6" || info.family === "IPv4" ? info.family : "unknown",
      port: info.port
    }
  };
};
export {
  getConnInfo
};
